Package org.eclipse.microprofile.openapi.models.media

## Enum Schema.SchemaType

- java.lang.Object
- - java.lang.Enum<Schema.SchemaType>
  - - org.eclipse.microprofile.openapi.models.media.Schema.SchemaType

All Implemented Interfaces:
  `Serializable`, `Comparable<Schema.SchemaType>`

Enclosing interface:
  Schema

    public static enum Schema.SchemaType
    extends Enum<Schema.SchemaType>

The values allowed for the in field.

### Enum Constant Summary

Enum Constants
`ARRAY`
`BOOLEAN`
`INTEGER`
`NUMBER`
`OBJECT`
`STRING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static Schema.SchemaType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Schema.SchemaType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INTEGER

    public static final Schema.SchemaType INTEGER

#### NUMBER

    public static final Schema.SchemaType NUMBER

#### BOOLEAN

    public static final Schema.SchemaType BOOLEAN

#### STRING

    public static final Schema.SchemaType STRING

#### OBJECT

    public static final Schema.SchemaType OBJECT

#### ARRAY

    public static final Schema.SchemaType ARRAY

### Method Detail

#### values

    public static Schema.SchemaType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Schema.SchemaType c : Schema.SchemaType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Schema.SchemaType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Schema.SchemaType>`